Page MenuHomePhabricator

About Wikipedia page
Closed, ResolvedPublic

Description

Why are we doing this?

We would like to have a way for users to be able to learn more about Wikipedia from within the app

User story

As a user of the KaiOS app who does not have previous knowledge of Wikipedia, I would like an easy place for me to learn about Wikipedia from within the app.

Event Timeline

cmadeo created this task.Oct 23 2019, 7:46 PM
AMuigai added a subscriber: AMuigai.EditedJan 20 2020, 1:26 PM

A simple description with links about Wikipedia is here: https://docs.google.com/document/d/18oh__NwrGrX19OOpjEbVdiXkUJP4MXxJPZXaQAKGPyM/edit

hueitan added a subscriber: hueitan.

Don't think this is ready, moving back to Backlog.

AMuigai triaged this task as Medium priority.Feb 6 2020, 10:20 AM
SGautam_WMF added a comment.EditedWed, Mar 11, 8:05 AM

We are thinking of keeping the same onboarding screens here with minor edits.

.

In the meanwhile, if anyone interested, here's the POC branch (POC-About-Wikipedia) you can test with.

hueitan claimed this task.Fri, Mar 20, 4:17 PM
hueitan moved this task from Design doing to Code Review on the Inuka-Team (Kanban) board.
hueitan added a subscriber: SGautam_WMF.
Jpita added a subscriber: Jpita.Sat, Mar 21, 2:40 AM

is this task about the "about wikipedia" option on the settings menu or the onboarding?

It's "About Wikipedia" in the settings menu.

SBisson moved this task from Backlog to MVP on the KaiOS-Wikipedia-app board.Mon, Mar 23, 3:33 PM
SBisson edited projects, added KaiOS-Wikipedia-app (MVP); removed KaiOS-Wikipedia-app.

@SGautam_WMF people are asking why there is no close action in the last screen, can you explain more your idea or redesign the flow or any other opinion?

@hueitan the idea to keep "back" softkey instead of "close" on the last screen to provide flexibility to a user to move back and forth to access the information. I agree with the current flow it could take a couple of keypresses to a user to leave the About Wikipedia section.

For the MVP version of it, we can add "EXIT" CSK onto the last screen to let users leave the section and keep "Back" softkey as it is. This might change for the next release when we decide the better use of the hardware back key.

Jpita added a comment.Tue, Mar 24, 2:56 PM

the hardware back key leaves the app, not sure we can control what it does.
this EXIT button goes against the flow of the rest of the app (close to leave the article and done to leave the language settings page).
just wanted to mention this to be taken into account that we should maintain the same behaviour all throughout the app in order not to confuse the user.

@Jpita Yes, in our current flow hardware back key pushes control out of the app, but as per KaiOS and Jio guidelines, it supposed to bring you one level up inside the app and only leave the app when you are on the home screen. We might hear more about it when we submit our app to Jio for review.

regarding "Exit" softkey, sure, we can replace "Exit" softkey with "CLOSE" in that case I would recommend keeping CSK "CLOSE" softkey even in other screens as well to allow a user to close it from any of the 3 screens and still have the flexibility of moving in between the screen to access the information.

@hueitan technically, is it heavy lift? putting "CLOSE" CSK on other screens too?

@hueitan I had a discussion with Angie, For now, let's only use "CLOSE" softkey on the last screen. To avoid any confusion, I am adding all three screens here. Also, pressing CLOSE button brings control back on Settings Menu.

hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Wed, Mar 25, 12:50 PM

Moving it to product signoff as this is working as expected.

AMuigai closed this task as Resolved.Tue, Mar 31, 7:02 PM